Index: CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env	(revision 6503)
+++ CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE-AMD.env	(revision 6503)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene Amd / TGCC on redhat8
+set +e 
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.2
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE.env
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE.env	(revision 6503)
+++ CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_IRENE.env	(revision 6503)
@@ -0,0 +1,12 @@
+# Compile and running environnemnet at Irene SKL / TGCC on redhat8
+set +e 
+module purge
+module load intel/20.0.0
+module load mpi/openmpi/4.1.4
+module load flavor/hdf5/parallel
+module load hdf5/1.12.2
+module load netcdf-fortran/4.5.3
+module load mkl/20.0.0
+module load feature/bridge/heterogenous_mpmd
+module load c++/gnu/8.3.0
+module load c/gnu/8.3.0
Index: CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_JEANZAY.env
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_JEANZAY.env	(revision 6503)
+++ CONFIG/UNIFORM/v6/IPSLCM6/ARCH/arch-X64_JEANZAY.env	(revision 6503)
@@ -0,0 +1,10 @@
+# Compile and running environnemnet at Jean-Zay 
+module purge
+module load gcc/6.5.0
+module load intel-all/19.0.4 
+module load hdf5/1.10.5-mpi
+module load netcdf/4.7.2-mpi
+module load netcdf-fortran/4.5.2-mpi
+
+# Load svn needed for the compilation script
+module load subversion
Index: CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/REDHAT8/INCA/print_inca.F90
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/REDHAT8/INCA/print_inca.F90	(revision 6503)
+++ CONFIG/UNIFORM/v6/IPSLCM6/SOURCES/REDHAT8/INCA/print_inca.F90	(revision 6503)
@@ -0,0 +1,119 @@
+!$Id: chem_mod.F90 104 2008-12-23 10:28:51Z acosce $
+!! =========================================================================
+!! INCA - INteraction with Chemistry and Aerosols
+!! 
+!! Copyright Laboratoire des Sciences du Climat et de l'Environnement (LSCE)
+!! 	     Unite mixte CEA-CNRS-UVSQ
+!! 
+!! Contributors to this INCA subroutine:
+!! 
+!! Anne Cozic, LSCE, anne.cozic@cea.fr
+!!
+!! This software is a computer program whose purpose is to simulate the 
+!! atmospheric gas phase and aerosol composition. The model is designed to be
+!! used within a transport model or a general circulation model. This version 
+!! of INCA was designed to be coupled to the LMDz GCM. LMDz-INCA accounts
+!! for emissions, transport (resolved and sub-grid scale), photochemical 
+!! transformations, and scavenging (dry deposition and washout) of chemical 
+!! species and aerosols interactively in the GCM. Several versions of the INCA
+!! model are currently used depending on the envisaged applications with the 
+!! chemistry-climate model. 
+!! 
+!! This software is governed by the CeCILL  license under French law and
+!! abiding by the rules of distribution of free software.  You can  use, 
+!! modify and/ or redistribute the software under the terms of the CeCILL
+!! license as circulated by CEA, CNRS and INRIA at the following URL
+!! "http://www.cecill.info". 
+!! 
+!! As a counterpart to the access to the source code and  rights to copy,
+!! modify and redistribute granted by the license, users are provided only
+!! with a limited warranty  and the software's author,  the holder of the
+!! economic rights,  and the successive licensors  have only  limited
+!! liability. 
+!! 
+!! In this respect, the user's attention is drawn to the risks associated
+!! with loading,  using,  modifying and/or developing or reproducing the
+!! software by the user in light of its specific status of free software,
+!! that may mean  that it is complicated to manipulate,  and  that  also
+!! therefore means  that it is reserved for developers  and  experienced
+!! professionals having in-depth computer knowledge. Users are therefore
+!! encouraged to load and test the software's suitability as regards their
+!! requirements in conditions enabling the security of their systems and/or 
+!! data to be ensured and,  more generally, to use and operate it in the 
+!! same conditions as regards security. 
+!! 
+!! The fact that you are presently reading this means that you have had
+!! knowledge of the CeCILL license and that you accept its terms.
+!! =========================================================================
+
+#include <inca_define.h>
+
+MODULE PRINT_INCA
+
+  IMPLICIT NONE
+  INTEGER, SAVE :: lunout
+!$OMP THREADPRIVATE(lunout)
+  INTEGER, SAVE :: outxml
+!$OMP THREADPRIVATE(outxml) 
+
+CONTAINS
+
+  SUBROUTINE INIT_PRINT_INCA()
+
+    USE MOD_INCA_MPI_DATA, ONLY : is_ok_mpi, mpi_rank
+    USE MOD_INCA_OMP_DATA, ONLY : is_ok_omp, omp_rank
+    USE mod_inca_mpi_data, ONLY : is_mpi_root
+
+    IMPLICIT NONE
+    CHARACTER(len=8) :: namefile
+    INTEGER :: ierr2
+    CHARACTER(len=255) :: fileout
+    CHARACTER(len=4)  :: num_mpi
+    CHARACTER(len=4)  :: num_omp
+    INTEGER,PARAMETER :: base_lunout=350
+    INTEGER           :: ierr
+
+
+    namefile='inca.out'
+   IF (is_ok_mpi) THEN
+       WRITE(num_mpi,'(I4.4)') mpi_rank
+    ENDIF
+    
+    IF (is_ok_omp) THEN
+       WRITE(num_omp,'(I4.4)') omp_rank
+    ENDIF
+
+    IF (is_ok_mpi .AND. is_ok_omp) THEN
+       fileout=TRIM(namefile)//'_'//num_mpi//'.'//num_omp
+       lunout=base_lunout+omp_rank
+    ELSE IF (is_ok_mpi .AND. (.NOT. is_ok_omp)) THEN
+       fileout=TRIM(namefile)//'_'//num_mpi
+       lunout=base_lunout
+    ELSE IF ((.NOT. is_ok_mpi) .AND. is_ok_omp) THEN
+       fileout=TRIM(namefile)//'_'//num_omp
+       lunout=base_lunout+omp_rank
+    ELSE
+       fileout=TRIM(namefile)
+       lunout=base_lunout
+    ENDIF
+!    open(UNIT=lunout,file=fileout, action='write',status='unknown', form='formatted', iostat=ierr2) 
+!    IF (ierr2 /= 0) THEN
+!       stop 'print_inca'
+!    endif
+    lunout=6
+
+    
+!$OMP MASTER
+    IF (is_mpi_root) THEN
+       outxml=base_lunout*10
+       open(UNIT=outxml,file='inca_IDxml.out', action='write',status='unknown', form='formatted', iostat=ierr2) 
+       IF (ierr2 /= 0) THEN
+          stop 'print_inca xml'
+       endif
+    endif
+    
+!$OMP END MASTER
+
+
+  END SUBROUTINE INIT_PRINT_INCA
+END MODULE PRINT_INCA