Index: CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make	(revision 5721)
+++ CONFIG/UNIFORM/v6/IPSLCM6_LANDN/AA_make	(revision 6539)
@@ -8,4 +8,8 @@
 MYSRC_DIR = $(shell /bin/pwd)
 
+submitdir=$(shell pwd)
+arch_path=${submitdir}/ARCH
+sources_RH8_path=${submitdir}/SOURCES/REDHAT8
+
 all : 
 	if [ -s ./.resol ] ; then $(M_K) `head -1 .resol` ; else $(M_K) IPSLCM6-LR ; fi
@@ -101,11 +105,11 @@
 
 libioipsl : ../../modeles/IOIPSL/src
-	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+	(ln -sf ${arch_path}/arch-${FCM_ARCH}.env ${arch_path}/arch.env; . ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
 
 oasis3-mct:
-	(cd $(OASIS_DIR)/util/make_dir ; cp $(MYSRC_DIR)/SOURCES/OASIS3-MCT/make_${FCM_ARCH} make.inc ; make -f TopMakefileOasis3 ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd $(OASIS_DIR)/util/make_dir ; cp $(MYSRC_DIR)/SOURCES/OASIS3-MCT/make_${FCM_ARCH} make.inc ; make -f TopMakefileOasis3 ; )
 
 liborchidee : ../../modeles/ORCHIDEE/
-	(cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/ORCHIDEE/ ; ./makeorchidee_fcm -parallel mpi_omp -arch $(FCM_ARCH) -j 8 -xios2)
 
 lmdz96x95x39:
@@ -129,38 +133,38 @@
 lmdz: ../../modeles/LMDZ
 #	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL_LMDZ) -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL_LMDZ)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 lmdzinca: ../../modeles/LMDZ
 #	(cd ../../modeles/INCA; ./makeinca_fcm -chimie $(CHIMIE) -prod  -resol $(RESOL) -j 8 -arch $(FCM_ARCH); cp SIMULATIONS/$(CHIMIE)/inca.dat ../../bin/inca.dat ; )
-	(cd ../../modeles/INCA; ./makeinca_fcm -chimie $(CHIMIE) -prod -xios -parallel mpi_omp -resol $(RESOL) -j 8 -arch $(FCM_ARCH); cp SIMULATIONS/$(CHIMIE)/inca.dat ../../bin/inca.dat ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/INCA; cp ${sources_RH8_path}/INCA/print_inca.F90 src/INCA_MOD/.; cd ../../modeles/INCA; ./makeinca_fcm -chimie $(CHIMIE) -prod -xios -parallel mpi_omp -resol $(RESOL) -j 8 -arch $(FCM_ARCH); cp SIMULATIONS/$(CHIMIE)/inca.dat ../../bin/inca.dat ; )
 #	(cd ../../modeles/LMDZ; ./makelmdz_fcm -d $(RESOL) -arch $(FCM_ARCH) -j 8 ce0l ; mv bin/ce0l_$(RESOL)_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -chimie INCA   -d $(RESOL) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL)_phylmd_para_mem_orch_couple_inca.e ../../bin/gcm.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ ; ./makelmdz_fcm   -chimie INCA   -d $(RESOL) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL)_phylmd_para_mem_orch_couple_inca.e ../../bin/gcm.e ; )
 
 lmdzstrataer: ../../modeles/LMDZ
-	(cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -strataer true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/LMDZ ; ./makelmdz_fcm   -d $(RESOL_LMDZ) -mem -cosp true -v orchidee2.0 -parallel mpi_omp -io xios -rrtm true -strataer true -c OMCT -job 8 -arch $(FCM_ARCH) gcm  ; mv bin/gcm_$(RESOL_LMDZ)_phylmd_para_mem_orch_couple.e ../../bin/gcm.e ; )
 
 xios: ../../modeles/XIOS
-	(cd ../../modeles/XIOS; ./make_xios --arch $(FCM_ARCH) --prod --use_oasis oasis3_mct --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/XIOS; ./make_xios --arch_path ${arch_path} --arch $(FCM_ARCH) --prod --use_oasis oasis3_mct --job 8 ; cp bin/xios_server.exe ../../bin/. ; )
 
 orca2lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_diahth key_oasis3" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM_PISCES -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim2_vp key_diahth key_oasis3" del_key "key_nosignedzero " ; cp ORCA2_LIM_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca2lim3:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES  -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim3 key_oasis3 key_top key_pisces" del_key "key_lim2 key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA2_LIM3_PISCES  -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_lim3 key_oasis3 key_top key_pisces" del_key "key_lim2 key_nosignedzero" ; cp ORCA2_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca1lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero                  " ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero                  " ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca1lim3nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES  -j16 add_key "key_oasis3                   " del_key "key_mpp_rep key_nosignedzero key_top key_pisces" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; ) 
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA1_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM3_PISCES  -j16 add_key "key_oasis3                   " del_key "key_mpp_rep key_nosignedzero key_top key_pisces" ; cp ORCA1_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; ) 
 
 orca1lim2:  ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM2_PISCES -d "OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_top key_pisces key_lim2 key_lim2_vp key_oasis3 key_vvl" del_key "key_lim3 key_nosignedzero " ; cp ORCA1_LIM2_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA1_LIM2_PISCES -d "OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC" -e "$(MYSRC_DIR)/SOURCES/NEMO" -j16 add_key "key_top key_pisces key_lim2 key_lim2_vp key_oasis3 key_vvl" del_key "key_lim3 key_nosignedzero " ; cp ORCA1_LIM2_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca025lim3: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero" ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero" ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 orca025lim3nopisces: ../../modeles/NEMOGCM/CONFIG
-	(cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero  key_top key_pisces  key_age              " ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
+	(. ${arch_path}/arch-${FCM_ARCH}.env; cd ../../modeles/NEMOGCM/CONFIG ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.*90 ORCA025_LIM3_PISCES/MY_SRC/ ; cp ../../../config/IPSLCM6/SOURCES/NEMO/arch-${FCM_ARCH}.fcm ../ARCH/. ; cp ../../../config/IPSLCM6/SOURCES/NEMO/*.cfg ../TOOLS/COMPILE/. ; ./makenemo -m ${FCM_ARCH} -n ORCA025_LIM3_PISCES  -j16 add_key "key_oasis3 key_diahth"  del_key "key_mpp_rep key_nosignedzero  key_top key_pisces  key_age              " ; cp ORCA025_LIM3_PISCES/BLD/bin/nemo.exe ../../../bin/opa ; )
 
 verif: ../../bin