Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml	(revision 6618)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/XML/file_def_nemo-top.xml	(revision 6690)
@@ -300,6 +300,4 @@
        </file>
 
-      </file_group>
-
       <file_group id="2y_pis"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
       <file_group id="5y_pis"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/POST/monitoring01_pisces_ORCA2.cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 6618)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/POST/monitoring01_pisces_ORCA2.cfg	(revision 6690)
@@ -39,13 +39,19 @@
 #  field | files patterns | files additionnal  | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
- no3_global     | "pno3tot"  |       ""   | "pno3tot[d=1]"  | "global mean nitrogen concentration"                  | "umolN"    | "1"
- po4_global     | "ppo4tot"  |       ""   | "ppo4tot[d=1]"  | "global mean phosphorus concentration"                | "umolP"    | "1"
- sil_global     | "psiltot"  |       ""   | "psiltot[d=1]"  | "global mean silicate concentration"                  | "umolC"    | "1"
- fer_global     | "pfertot"  |       ""   | "pfertot[d=1]"  | "global mean iron concentration"                      | "nmolFe"   | "1"
- alk_global     | "palktot"  |       ""   | "palktot[d=1]"  | "global mean alkalinity concentration"                | "umolC"    | "1"
- cflx_global    | "tcflx"    |       ""   | "tcflx[d=1]"    | "total flux of Carbon out of the ocean"               | "PgC/yr"   | "1"
- epc_global     | "tcexp"    |       ""   | "tcexp[d=1]"    | "total flux of Carbon export at 100m"                 | "PgC/yr"   | "1"
- tintpp_global  | "tintpp"   |       ""   | "tintpp[d=1]"   | "global total integrated primary production"          | "PgC/yr"   | "1"
- tdenit_global  | "tdenit"   |       ""   | "tdenit[d=1]"   | "Total denitrification"                               | "TgN/yr"   | "1"
- tnfix_global   | "tnfix"    |       ""   | "tnfix[d=1]"    | "global total nitrogen fixation"                      | "TgN/yr"   | "1"
+ no3_global     | "pno3tot"  |       ""          | "pno3tot[d=1]"  | "global mean nitrogen concentration"                  | "umolN"    | "1"
+ po4_global     | "ppo4tot"  |       ""          | "ppo4tot[d=1]"  | "global mean phosphorus concentration"                | "umolP"    | "1"
+ sil_global     | "psiltot"  |       ""          | "psiltot[d=1]"  | "global mean silicate concentration"                  | "umolC"    | "1"
+ fer_global     | "pfertot"  |       ""          | "pfertot[d=1]"  | "global mean iron concentration"                      | "nmolFe"   | "1"
+ alk_global     | "palktot"  |       ""          | "palktot[d=1]"  | "global mean alkalinity concentration"                | "umolC"    | "1"
+ cflx_global    | "tcflx"    |       ""          | "tcflx[d=1]"    | "total flux of Carbon out of the ocean"               | "PgC/yr"   | "1"
+ epc_global     | "tcexp"    |       ""          | "tcexp[d=1]"    | "total flux of Carbon export at 100m"                 | "PgC/yr"   | "1"
+ tintpp_global  | "tintpp"   |       ""          | "tintpp[d=1]"   | "global total integrated primary production"          | "PgC/yr"   | "1"
+ tdenit_global  | "tdenit"   |       ""          | "tdenit[d=1]"   | "Total denitrification"                               | "TgN/yr"   | "1"
+ tnfix_global   | "tnfix"    |       ""          | "tnfix[d=1]"    | "global total nitrogen fixation"                      | "TgN/yr"   | "1"
+ n2oflx_global  | "N2Oflx"   | ORCA2.4.2_grid.nc | "(N2Oflx[d=1]*mask[k=1,d=2]*area[d=2]*14*86400*365*1E-12)"  | "Total flux of N2O"  | "TgN/yr"  | "2"
+ dmsflx_global  | "DMSflx"   | ORCA2.4.2_grid.nc | "(DMSflx[d=1]*mask[k=1,d=2]*area[d=2]*16*86400*365*1E-12)"  | "Total flux of DMS"  | "TgS/yr"  | "2"
+ ispflx_global  | "ISPflx"   | ORCA2.4.2_grid.nc | "(ISPflx[d=1]*mask[k=1,d=2]*area[d=2]*14*86400*365*1E-12)"  | "Total flux of Isoprene"  | "TgC/yr"  | "2"
+ ocsflx_global  | "COSflx"   | ORCA2.4.2_grid.nc | "(COSflx[d=1]*mask[k=1,d=2]*area[d=2]*14*86400*365*1E-12)"  | "Total flux of Carbonyl Sulfide"  | "TgC/yr"  | "2"
+ coflx_global   | "COflx"    | ORCA2.4.2_grid.nc | "(COflx[d=1]*mask[k=1,d=2]*area[d=2]*14*86400*365*1E-12)"   | "Total flux of Carbon Monoxide"  | "TgC/yr"  | "2"
+
 #-----------------------------------------------------------------------------------------------------------------