Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/oasis.card	(revision 6750)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/oasis.card	(revision 6751)
@@ -59,4 +59,6 @@
     (CURRENTY_LMDZ_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTY.nc,    Post_ncks_cdo),\
     (CURRENTZ_LMDZ_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CURRENTZ.nc,    Post_ncks_cdo),\
+    (SIDMSFLX_LMDZ_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIDMSFLX.nc,    Post_ncks_cdo),\
+    (SIN2OFLX_LMDZ_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIN2OFLX.nc,    Post_ncks_cdo),\
     (COTAUXXU_LMDZ_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUXXU.nc,    Post_ncks_cdo),\
     (COTAUYYU_LMDZ_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COTAUYYU.nc,    Post_ncks_cdo),\
@@ -76,9 +78,6 @@
     (CODFLXDT_LMDZ_25.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_CODFLXDT.nc,    Post_ncks_cdo),\
     (COCALVIN_LMDZ_26.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COCALVIN.nc,    Post_ncks_cdo),\
-    (COATMCO2_LMDZ_27.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COATMCO2.nc,    Post_ncks_cdo),\
-    (COLIQRUN_LMDZ_28.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_cdo),\
-    (SICO2FLX_LMDZ_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SICO2FLX.nc,    Post_ncks_cdo),\
-    (SIDMSFLX_LMDZ_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_SIDMSFLX.nc,    Post_ncks_cdo),\
-    (O_SSTSST_oceanx_01.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    Post_ncks_cdo),\
+    (COLIQRUN_LMDZ_29.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_COLIQRUN.nc,    Post_ncks_cdo),\
+    (O_SSTSST_oceanx_01.nc,   ${R_OUT_CPL_O_M}/${PREFIX}_O_SSTSST.nc,    Post_ncks_cdo),\
     (OIceFrc_oceanx_02.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIceFrac.nc,    Post_ncks_cdo),\
     (O_TepIce_oceanx_03.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_TepIce.nc,    Post_ncks_cdo),\
@@ -87,4 +86,6 @@
     (O_OCury1_oceanx_06.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OCury1.nc,    Post_ncks_cdo),\
     (O_OCurz1_oceanx_07.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OCurz1.nc,    Post_ncks_cdo),\
+    (O_DMSFLX_oceanx_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_DMSFLX.nc,    Post_ncks_cdo),\
+    (O_N2OFLX_oceanx_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_N2OFLX.nc,    Post_ncks_cdo),\
     (O_OTaux1_oceanx_10.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTaux1.nc,    Post_ncks_cdo),\
     (O_OTauy1_oceanx_11.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_OTauy1.nc,    Post_ncks_cdo),\
@@ -107,7 +108,4 @@
     (OIcshelf_oceanx_28.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_OIcshelf.nc,    Post_ncks_cdo),\
     (O_Runoff_oceanx_29.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_Runoff.nc,    Post_ncks_cdo),\
-    (O_AtmCO2_oceanx_30.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_AtmCO2.nc,    Post_ncks_cdo),\
-    (O_CO2FLX_oceanx_08.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_CO2FLX.nc,    Post_ncks_cdo),\
-    (O_DMSFLX_oceanx_09.nc,    ${R_OUT_CPL_O_M}/${PREFIX}_O_DMSFLX.nc,    Post_ncks_cdo),\
     (TEMPO_1D_cpl_atm.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_atm.nc , Post_1D_cpl_atm),\
     (TEMPO_1D_cpl_oce.nc,    ${R_OUT_CPL_O_D}/${PREFIX}_1D_cpl_oce.nc , Post_1D_cpl_oce),\
@@ -145,6 +143,6 @@
 Patches = (Patch_20091119_put_out)
 GatherWithInternal = (lon, lat, time)
-TimeSeriesVars2D = (COTAUXXU, COTAUYYU, COTAUZZU, COTAUXXV, COTAUYYV, COTAUZZV, COWINDSP, COTOTRAI, COTOTSNO, COTOTEVA, COICEVAP, COQSRMIX, COQNSMIX, COSHFICE, CONSFICE, CODFLXDT, COCALVIN, COLIQRUN, SISUTESW, SIICECOV, SIICTEMW, SIICEALW, CURRENTX, CURRENTY, CURRENTZ, COATMCO2, SICO2FLX, SIDMSFLX)
-ChunckJob2D = OFF
+TimeSeriesVars2D = (COTAUXXU, COTAUYYU, COTAUZZU, COTAUXXV, COTAUYYV, COTAUZZV, COWINDSP, COTOTRAI, COTOTSNO, COTOTEVA, COICEVAP, COQSRMIX, COQNSMIX, COSHFICE, CONSFICE, CODFLXDT, COCALVIN, COLIQRUN, SISUTESW, SIICECOV, SIICTEMW, SIICEALW, CURRENTX, CURRENTY, CURRENTZ, SIDMSFLX, SIN2OFLX)
+ChunckJob2D = NONE
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE
@@ -154,6 +152,6 @@
 Patches = (Patch_20091119_put_out)
 GatherWithInternal = (lon, lat, time)
-TimeSeriesVars2D = (O_OTaux1, O_OTauy1, O_OTauz1, O_OTaux2, O_OTauy2, O_OTauz2, O_Wind10, OTotRain, OTotSnow, OTotEvap, OIceEvap, O_QsrMix, O_QnsMix, O_QsrIce, O_QnsIce, O_dQnsdT, OCalving, OIceberg, OIcshelf, O_Runoff, O_SSTSST, OIceFrc, O_TepIce, O_AlbIce, O_OCurx1, O_OCury1, O_OCurz1,  O_AtmCO2, O_CO2FLX, O_DMSFLX)
-ChunckJob2D = OFF
+TimeSeriesVars2D = (O_OTaux1, O_OTauy1, O_OTauz1, O_OTaux2, O_OTauy2, O_OTauz2, O_Wind10, OTotRain, OTotSnow, OTotEvap, OIceEvap, O_QsrMix, O_QnsMix, O_QsrIce, O_QnsIce, O_dQnsdT, OCalving, OIceberg, OIcshelf, O_Runoff, O_SSTSST, OIceFrc, O_TepIce, O_AlbIce, O_OCurx1, O_OCury1, O_OCurz1, O_DMSFLX, O_N2OFLX)
+ChunckJob2D = NONE
 TimeSeriesVars3D = ()
 ChunckJob3D = NONE