Index: TOOLS/MachineEnvironment/mesoipsl/atlas_env_mesoipsl
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/atlas_env_mesoipsl	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/atlas_env_mesoipsl	(revision 6755)
@@ -0,0 +1,49 @@
+module purge
+
+module load intel/2021.4.0
+module load openmpi/4.0.7
+module load hdf5/1.8.22-mpi
+module load netcdf-fortran/4.5.3-parallel-netcdf
+module load netcdf-c/4.7.4-parallel-netcdf
+
+#------------------------------------------------------
+# CDO + NCO
+#------------------------------------------------------
+module load cdo/2.0.6
+module load nco/5.0.1
+
+#------------------------------------------------------
+# FERRET
+#------------------------------------------------------
+module load ferret/7.6.0
+
+#------------------------------------------------------
+# FAST (Ferret Analysis Scripting Toolbox)
+#------------------------------------------------------
+export FER_FAST="/home/igcmg/fast"
+
+export FER_GO="$FER_FAST $FER_GO"
+export FER_DATA="$FER_DATA $FER_FAST"
+export FER_PALETTE="$FER_PALETTE $FER_FAST"
+export FER_EXTERNAL_FUNCTIONS="$FER_EXTERNAL_FUNCTIONS $FER_FAST"
+
+export PATH="$FER_FAST:$PATH"
+
+#------------------------------------------------------
+# ATLAS
+#------------------------------------------------------
+export FER_ATLAS="/home/igcmg/atlas"
+
+export FER_GO="$FER_GO $FER_ATLAS"
+export FER_DATA="$FER_DATA $FER_ATLAS"
+export FER_PALETTE="$FER_PALETTE $FER_ATLAS"
+export FER_EXTERNAL_FUNCTIONS="$FER_EXTERNAL_FUNCTIONS $FER_ATLAS"
+
+export PATH="$FER_ATLAS:$PATH"
+
+#------------------------------------------------------
+# DATABASE
+#------------------------------------------------------
+export DB="/data/igcmg/database"
+export FER_DATA="$FER_DATA $DB/grids $DB/extras $DB/climato"
+
Index: TOOLS/MachineEnvironment/mesoipsl/bashrc
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/bashrc	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/bashrc	(revision 6755)
@@ -0,0 +1,19 @@
+# .bashrc for spirit, spiritx, ciclad and climserv
+# Source global definitions
+if [ -f /etc/bashrc ]; then
+	. /etc/bashrc
+fi
+
+# User specific aliases and functions depending on cluster
+case $HOSTNAME in
+spiritx*)
+    source ~/.bashrc_spiritx ;;
+spirit*)
+    source ~/.bashrc_spirit ;;
+ciclad*)
+    source ~/.bashrc_ciclad ;;
+*)
+    source ~/.bashrc_climserv ;;
+esac
+
+
Index: TOOLS/MachineEnvironment/mesoipsl/bashrc_ciclad
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/bashrc_ciclad	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/bashrc_ciclad	(revision 6755)
@@ -0,0 +1,8 @@
+# .bashrc_ciclad / .bashrc_climserv
+
+export PATH="/ciclad-home/igcmg/rebuild/src_X64_CICLAD/modipsl_v2_2_3_netcdf4.2/bin:$PATH"
+
+# User specific aliases and functions
+source /ciclad-home/igcmg/MachineEnvironment/climserv/atlas_env_climserv
+
+# Add your personal settings, alias, etc...
Index: TOOLS/MachineEnvironment/mesoipsl/bashrc_climserv
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/bashrc_climserv	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/bashrc_climserv	(revision 6755)
@@ -0,0 +1,8 @@
+# .bashrc_ciclad / .bashrc_climserv
+
+export PATH="/ciclad-home/igcmg/rebuild/src_X64_CICLAD/modipsl_v2_2_3_netcdf4.2/bin:$PATH"
+
+# User specific aliases and functions
+source /ciclad-home/igcmg/MachineEnvironment/climserv/atlas_env_climserv
+
+# Add your personal settings, alias, etc...
Index: TOOLS/MachineEnvironment/mesoipsl/bashrc_spirit
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/bashrc_spirit	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/bashrc_spirit	(revision 6755)
@@ -0,0 +1,10 @@
+# .bashrc_spirit / .bashrc_spiritx
+
+# Add ulimit 
+ulimit -s unlimited
+
+alias svn_ano='svn co --username icmc_users http://forge.ipsl.fr/igcmg/svn/modipsl/trunk modipsl'
+
+module load subversion/1.13.0
+
+# Add all your personal settings, alias, etc...
Index: TOOLS/MachineEnvironment/mesoipsl/bashrc_spiritx
===================================================================
--- TOOLS/MachineEnvironment/mesoipsl/bashrc_spiritx	(revision 6755)
+++ TOOLS/MachineEnvironment/mesoipsl/bashrc_spiritx	(revision 6755)
@@ -0,0 +1,10 @@
+# .bashrc_spirit / .bashrc_spiritx
+
+# Add ulimit 
+ulimit -s unlimited
+
+alias svn_ano='svn co --username icmc_users http://forge.ipsl.fr/igcmg/svn/modipsl/trunk modipsl'
+
+module load subversion/1.13.0
+
+# Add all your personal settings, alias, etc...