Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE-AMD.env
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE-AMD.env	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE-AMD.env	(revision 6767)
@@ -12,2 +12,3 @@
 module load c++/gnu/8.3.0
 module load c/gnu/8.3.0
+module load nco/5.0.1
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE.env
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE.env	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/ARCH/arch-X64_IRENE.env	(revision 6767)
@@ -12,2 +12,3 @@
 module load c++/gnu/8.3.0
 module load c/gnu/8.3.0
+module load nco/5.0.1
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart=n 
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card	(revision 6766)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/opa9.card	(revision 6767)
@@ -5,5 +5,5 @@
 ORCA_version=${config_UserChoices_ORCA_version:-eORCA1.1}
 mesh_mask= n
-Reproducibility_after_restart= y
+Reproducibility_after_restart= n
 Restart_TS_only= n
 Dynamics_on_ClosedSeas= y