Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/inca.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/inca.card	(revision 6794)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/inca.card	(revision 6795)
@@ -19,16 +19,16 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc ) 
 emi_interp_time=1
+#choose which type of sflx_nat.nc file we are using 
+multi_sources_nat=y
 
-#coupled model with Orchidee and Pisces
-#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+#  LAND -> ATM cycle 
+#for coupling with Orchidee you need to modify inca.def to specify flux between the two composantes
 CoupOrchInca=y
+
+# OCEAN -> ATM cycle 
 CoupOceAtm=y
 #choice of species transfer from ocean to atmosphere (via lmdz) 
 transm_dms_oa=y
 transm_n2o_oa=y
-
-#choose which type of sflx_nat.nc file we are using 
-multi_sources_nat=y
-
 
 # Specify output frequency for output files 
@@ -56,34 +56,34 @@
 	
 [BoundaryFiles]
-List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/ANT/sflx_lmdz_ANT_${year}_phy.nc,   sflx_ANT.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/BBG/sflx_lmdz_BBG_${year}_phy.nc,   sflx_BBG.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/NAT_v2/sflx_lmdz_NAT_${year}_phy.nc,   sflx_NAT.nc     )\
-     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_1850_phy.nc           ,   aircraft_mth.nc     ),\
-     (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc                     ,   sad.nc	      	   )
+List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/ANT/sflx_lmdz_ANT_${year}_phy.nc	,   sflx_ANT.nc         ),\
+     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/BBG/sflx_lmdz_BBG_${year}_phy.nc	,   sflx_BBG.nc         ),\
+     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/Historical/NAT_v2/sflx_lmdz_NAT_${year}_phy.nc	,   sflx_NAT.nc     	),\
+     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_1850_phy.nc           			,   aircraft_mth.nc     ),\
+     (${R_IN}/CHM/IPCC_AR6/SAD/${RESOL_CHM}/sad_cmip6_1850.nc                     			,   sad.nc	      	)
 
     
-ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc			    ,   npp.nc          )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/sflx_lmdz_GHG_phy.nc  ,   sflx_GHG.nc     )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/sflx_lmdz_MISC_phy.nc ,   sflx_MISC.nc    )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc         ,   o3lin.nc	)\
-            (${R_IN}/CHM/IPCC_AR6/lglived_CMIP6.dat                         ,   lglived.dat	)\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_sc0_lmdz_phy.nc      ,   aircraft_hs.nc  )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   			    ,   landuse.nc      )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        		    ,   rhvEC.txt       )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt        		    ,   wthEC.txt       )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt        		    ,   clyEC.txt       )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat          		    ,   wth.dat         )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat          		    ,   cly.dat         )\
-            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat          		    ,   rhv.dat         )\
- 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   		    ,   phototable.dat  )
+ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc					,   npp.nc          ),\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/sflx_lmdz_GHG_phy.nc  	,   sflx_GHG.nc     ),\
+            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS4/${RESOL_CHM}/phy/sflx_lmdz_MISC_phy.nc 	,   sflx_MISC.nc    ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/o3coeff_lmdz_phy.nc         		,   o3lin.nc	    ),\
+            (${R_IN}/CHM/IPCC_AR6/lglived_CMIP6.dat                         		,   lglived.dat	    ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/STRAT/hikari_sc0_lmdz_phy.nc      		,   aircraft_hs.nc  ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc   			    		,   landuse.nc      ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt        		    		,   rhvEC.txt       ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt        		    		,   wthEC.txt       ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt        		    		,   clyEC.txt       ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat          		    		,   wth.dat         ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat          		    		,   cly.dat         ),\
+            (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat          		    		,   rhv.dat         ),\
+ 	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   		    		,   phototable.dat  )
 
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/inca.def_N2O					, inca.def			),\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml		, .			),\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml        , .			),\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml ), \
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER.xml, file_def_inca.xml	),\
-    	(${MODIPSL}/bin/inca_${ConfChem}.dat					, inca.dat		)
+List=	(${SUBMIT_DIR}/PARAM/inca.def_COV_N2O				, inca.def			),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml		, .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml        , .				),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml , file_def_inca_restart.xml 	),\
+	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_NMHC_AER.xml, file_def_inca.xml		),\
+    	(${MODIPSL}/bin/inca_${ConfChem}.dat				, inca.dat			)
 
 [RestartFiles]
@@ -103,9 +103,9 @@
 	(inca1d_dep.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_dep.nc    	,  NONE                  ),\
 	(inca1d_chem.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_chem.nc    	,  Post_1D_inca_chem     ),\
-	(inca1d_aero.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc    	,  Post_1D_inca_aero     ),\
+	(inca1d_aero.nc    	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_aero.nc    	,  NONE     		 ),\
 	(inca1d_phtrate.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_phtrate.nc 	,  NONE  		 ),\
 	(inca1d_reacflux.nc	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_reacflux.nc	,  NONE                  ),\
 	(inca1d_washrate.nc	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_washrate.nc	,  NONE                  ),\
-	(inca1d_forcage.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc 	,  Post_1D_inca_forcage  ),\
+	(inca1d_forcage.nc 	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_forcage.nc 	,  NONE  		 ),\
 	(inca1d_coupling.nc   	,      ${R_OUT_CHM_O_D}/${PREFIX}_1D_inca_coupling.nc  	,  Post_1D_inca_coupling ),\
 	(inca1mo_aero_chem.nc   ,      ${R_OUT_CHM_O_M}/${PREFIX}_1M_inca_aero_chem.nc  ,  NONE                  ),\
@@ -140,5 +140,5 @@
 TimeSeriesVars2D = ()
 ChunckJob2D = NONE
-TimeSeriesVars3D = (vmrno,vmrno2,vmro3,vmrch4,vmrco,,mmrso4cs, mmrso4as, mmrdms, mmrssss, vmrno3, vmrhno3, mmrbcai, mmrdustci)
+TimeSeriesVars3D = (vmrno,vmrno2,vmro3,vmrch4,vmrco,mmrso4cs, mmrso4as, mmrdms, mmrssss, vmrno3, vmrhno3, mmrbcai, mmrdustci)
 ChunckJob3D = NONE
 Seasonal=OFF
@@ -168,5 +168,5 @@
 TimeSeriesVars2D = (hdry,snowfromOrch,emi_isop,emi_mono)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (flx_iso,flx_mono,flx_ORVOC,flx_acetal)
+TimeSeriesVars3D = (land_flx_DMS, land_flx_n2o, land_flx_H2S, ocean_flx_n2o, ocean_flx_DMS)
 ChunckJob3D = NONE
 Seasonal=OFF
Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/orchidee.card	(revision 6794)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/orchidee.card	(revision 6795)
@@ -30,17 +30,20 @@
 output_freq_sechiba_history_4dim = 1d
 
-
+# Specify if you want to calculate chemistry of COV in orchidee 
+CHEMISTRY_BVOC=y
 [InitialStateFiles]
-List=	(${R_IN}/SRF/soils_param.nc, . ), \
-        (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc , .), \
-	(${R_IN}/SRF/reftemp.nc, . ), \
-	(${R_IN}/SRF/routing.nc, . ), \
-        (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc, alb_bg.nc ), \
-        (${R_IN}/SRF/cartepente2d_15min.nc, .)
+List=	(${R_IN}/SRF/soils_param.nc				, .		 ), \
+        (${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc			, .		 ), \
+	(${R_IN}/SRF/reftemp.nc					, .		 ), \
+	(${R_IN}/SRF/routing.nc					, .		 ), \
+        (${R_IN}/SRF/albedo/alb_bg_modisopt_2D_ESA_v2.nc	, alb_bg.nc 	 ), \
+        (${R_IN}/SRF/cartepente2d_15min.nc			, .		 )
 
 [BoundaryFiles]
 List= ()
-ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
-            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
+ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc	, PFTmap.nc	),\
+            (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc	      	, woodharvest.nc),\
+	    (${R_IN}/SRF/chemistry/orchidee_fertilizer_1995.nc				, .		),\
+            (${R_IN}/SRF/chemistry/orchidee_bbg_clim.nc					, .		)
 
 
@@ -49,11 +52,11 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}, orchidee.def)   ,\
-    (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
-    (${SUBMIT_DIR}/PARAM/dr2xml_IPSL_orchidee.xml, dr2xml_orchidee.xml)                    ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml, .)  ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml, .) ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml, .)   ,\
-	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml, .)
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def_${DefSuffix}			, orchidee.def		) ,\
+    	(${SUBMIT_DIR}/PARAM/ping_orchidee.xml				, . 			) ,\
+    	(${SUBMIT_DIR}/PARAM/dr2xml_IPSL_orchidee.xml			, dr2xml_orchidee.xml	) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/file_def_orchidee.xml	, .			) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_input_orchidee.xml	, .			) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/context_orchidee.xml	, .			) ,\
+	(${MODIPSL}/modeles/ORCHIDEE/src_xml/field_def_orchidee.xml	, .			)
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/stomate.card	(revision 6794)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/COMP/stomate.card	(revision 6795)
@@ -5,10 +5,10 @@
 # NINPUT_UPDATE=1Y: change in nitrogen input maps every year.
 # Nitrogen input maps should be set in BoundaryFiles/List for 1Y or in InitialStateFile for 0Y.
-NINPUT_UPDATE=0Y
+NINPUT_UPDATE=1Y
 
 # STOMATE_IMPOSE_CN: impose nitrogen
 # If STOMATE_IMPOSE_CN=y the file leaf_cn.nc must be available
 # If STOMATE_IMPOSE_CN=n the other N-input files are needed, see commented files below
-STOMATE_IMPOSE_CN=y
+STOMATE_IMPOSE_CN=n
 
 # Specify output level for output files
@@ -27,20 +27,16 @@
 
 [InitialStateFiles]
-[InitialStateFiles]
-List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc, cnleaf_map.nc)
-
-# Following files are needed if STOMATE_IMPOSE_CN=n
-# #List=   (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_2000.nc, nfert_pasture.nc) ,\
-# #     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_2000.nc, nfert_cropland.nc) ,\
-# #     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_2000.nc, nmanure_pasture.nc) ,\
-# #     (${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_2000.nc, nmanure_cropland.nc) ,\
-# #     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_2000.nc, ndep_nhx.nc), \
-# #     (${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_2000.nc, ndep_noy.nc), \
-# #     (${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc, bnf.nc)
-#
+List=    (${R_IN}/SRF/NITROGEN/CN_LEAF/cn_leaf_1850_v0.nc	, cnleaf_map.nc		)
 
 [BoundaryFiles]
-List=   ()
-ListNonDel= ()
+List=  ()
+
+ListNonDel=	(${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_pasture_1900.nc	, nfert_pasture.nc	),\
+     	 	(${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/synthetic/historical/Nfer_cropland_1900.nc	, nfert_cropland.nc	),\
+     	 	(${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_pasture_1900.nc	, nmanure_pasture.nc	),\
+     	 	(${R_IN}/SRF/NITROGEN/N_FERTILISATION/NMIP/manure/historical/Nmanure_cropland_1900.nc	, nmanure_cropland.nc	),\
+     	 	(${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_nhx_1900.nc		, ndep_nhx.nc		),\
+     	 	(${R_IN}/SRF/NITROGEN/N_DEPOSITION/CCMI_ndep/historical/CCMI_ndep_noy_1900.nc		, ndep_noy.nc		),\
+     	 	(${R_IN}/SRF/NITROGEN/BNF/bnf_1850.nc							, bnf.nc		)
 
 [SmoothFiles]
Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/config.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/config.card	(revision 6794)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/NMHC_AER_S/piControl_NAS_CoupOceAtm_TEST/config.card	(revision 6795)
@@ -68,11 +68,11 @@
 [ATM]
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=1990-12-31
+#D- Define restart simulation name for this component
+RestartJobName=Rescaled-79-washout
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/LMDZORINCA/DEVT/NMHC_AER_S
 
 #========================================================================
@@ -118,11 +118,11 @@
 [SRF]
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2006-12-31
+#D- Define restart simulation name for this component
+RestartJobName=LOIv6.coupl.orchinca.last-notfromScratch-TRANS
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/LMDZORINCA/DEVT/NMHC_AER_S/
 
 #========================================================================
@@ -130,11 +130,11 @@
 [SBG]
 # If config_Restarts_OverRule == 'n' next 4 params are read
-Restart= n
-# Last day of the experience used as restart for this component if Restart=y
-RestartDate=1849-12-31
-#D- Define restart simulation name for this component
-RestartJobName=CM61-pre-pi-01
-#D- Path Server Group Login
-RestartPath=${R_IN}/RESTART/IPSLCM6/PROD/piControl-spinup
+Restart= y
+# Last day of the experience used as restart for this component if Restart=y
+RestartDate=2006-12-31
+#D- Define restart simulation name for this component
+RestartJobName=LOIv6.coupl.orchinca.last-notfromScratch-TRANS
+#D- Path Server Group Login
+RestartPath=${R_IN}/RESTART/LMDZORINCA/DEVT/NMHC_AER_S/
 
 #========================================================================